
Base Distribution - Task # 52962

Status: Resolved Priority: Must have
Author: Marcin Sągol Category: Administration
Created: 2013-10-18 Assigned To:
Updated: 2013-10-30 Due date:
Subject: Backend / workspace interface does not load when using subfolder of webroot
Description

When testing NEOS (alpha6) without defined vhost but using some webroot subfolder (for example: domain.com/neos/Web) the
backend interface to edit and manage page is not loaded after login - user is just redirected to domain.com/@user-foo.html when it
should be for example domain.com/home@user-foo.html

There was also problem with redirection after login (when not using webroot as an installation place for NEOS) but this was already
fixed in one of the latest patches.

Associated revisions
Revision 5854d39a - 2013-10-30 09:59 - Rens Admiraal

[BUGFIX] Neos does not work correctly if not installed in docroot

If Neos is hosted in a subfolder of the document root the integrator
has to set the the RewriteBase to /subfolder/Web/. If this is done the
rewrite to /@user-<username>.html redirects to the wrong page.

Besides that the menu points to the wrong location for the content
module, and the full backend interface is not loaded if the site
is put in a subfolder 'neos' because then the isBackendModule()
check fails.

Resolves: #52962
Change-Id: I867347da75e23229e70e8af554178fe05723b685
Reviewed-on: https://review.typo3.org/24853
Reviewed-by: Tim Kandel
Tested-by: Tim Kandel
Tested-by: Mr. Hudson
Reviewed-by: Aske Ertmann
Reviewed-by: Rens Admiraal
Reviewed-by: Sebastian Kurfuerst

History
#1 - 2013-10-21 21:04 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24853

#2 - 2013-10-22 14:47 - Gerrit Code Review
Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24853

#3 - 2013-10-24 22:42 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24853

#4 - 2013-10-29 21:51 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24853

#5 - 2013-10-30 00:11 - Gerrit Code Review

Patch set 11 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24853

#6 - 2013-10-30 10:35 - Rens Admiraal
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:5854d39a8aaa227eb1fe620586eddb14e051c49d.
